OCF_HEARTBEAT_GARBD(7)

NAME
ocf_heartbeat_garbd - Manages a galera arbitrator instance

SYNOPSIS

garbd [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for managing Galera arbitrator.

SUPPORTED PARAMETERS

binary
    Location of the Galera arbitrator binary

    (optional, string, default "/usr/sbin/garbd")

user
    User running the garbd process

    (optional, string, default "mysql")

group
    Group running garbd (for logfile permissions)

    (optional, string, default "mysql")

log
    The logfile to be used for garbd.

    (optional, string, default "/var/log/garbd.log")

pid
    The pidfile to be used for garbd.

    (optional, string, default "/var/run/garbd.pid")

options
    Additional parameters which are passed to garbd on startup.

    (optional, string, no default)

wsrep_cluster_address
    The galera cluster address. This takes the form of: gcomm://node:port,node:port,node:port

    Unlike Galera servers, port is mandatory for garbd.

    (required, string, no default)

wsrep_cluster_name
    The group name of the Galera cluster to connect to.

    (required, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 20s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a garbd resource using the crm(8) shell:

    primitive p_garbd ocf:heartbeat:garbd \
      params \
        wsrep_cluster_address=string \
        wsrep_cluster_name=string \
      op monitor depth="0" timeout="20s" interval="20s"

EXAMPLE PCS

The following is an example configuration for a garbd resource using pcs(8)

    pcs resource create p_garbd ocf:heartbeat:garbd \
      wsrep_cluster_address=string \
      wsrep_cluster_name=string \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="20s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)